Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.appconn
Class EmailClientApplicationImpl

    java.lang.Object
      com.stc.connector.emailadapter.appconn.EmailClientApplicationImpl

All Implemented Interfaces:
  EmailClientApplication

    public class EmailClientApplicationImpl

extends java.lang.Object
implements EmailClientApplication

Implements EmailClientApplication which exposes the email client application.

Version:
  $Version$
Author:
  $Author: cmbuild $

Constructor Summary
`EmailClientApplicationImpl(EmailApplicationConnection appConn)` Constructor.

Method Summary
`EmailConfiguration` | `getEmailConfiguration()` Get the EmailConfiguration object for setting Email connection information.
`EmailMessage` | `getEmailMessage()` Get the EmailMessage instance.
`boolean` | `hasMessage()` Determines whether there are any message(s) to be received.
`void` | `receiveMessage()` Receives the next email message.
`void` | `reset()` Initializes the email configuration to the default configuration and initializes the email message to an empty message.
`void` | `sendMessage()` Sends the email message set in the EmailMessage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailClientApplicationImpl

    public EmailClientApplicationImpl(EmailApplicationConnection appConn)
                               throws EmailApplicationException

  Constructor.

  Parameters:
    `appConn` - The EmailApplicationConnection instance.
  Throws:
    `EmailApplicationException` - upon error.

Method Detail

### getEmailMessage

    public EmailMessage getEmailMessage()
                                 throws EmailApplicationException

  Get the EmailMessage instance. In the case of sending a message, the EmailMessage can be used to populate the email message for delivery. In the case of receiving email message(s), the EmailMessage contains the current email message received.

  Specified by:
    `getEmailMessage` in interface `EmailClientApplication`
  Returns:
    An EmailMessage object for populating data in an email message for delivery or for reading the current email message received.
  Throws:
    `EmailApplicationException` - upon error.

### getEmailConfiguration

    public EmailConfiguration getEmailConfiguration()
                                             throws EmailApplicationException

  Get the EmailConfiguration object for setting Email connection information.

  Specified by:
    `getEmailConfiguration` in interface `EmailClientApplication`
  Returns:
    An EmailConfiguration object for populating Email connection information.
  Throws:
    `EmailApplicationException` - upon error.

### sendMessage

    public void sendMessage()
                     throws EmailApplicationException

  Sends the email message set in the EmailMessage.

  Specified by:
    `sendMessage` in interface `EmailClientApplication`
  Throws:
    `EmailApplicationException` - upon error.
  See Also:
    `getEmailMessage()`

### receiveMessage

    public void receiveMessage()
                        throws EmailApplicationException

  Receives the next email message. The email message received is in the EmailMessage.

  Specified by:
    `receiveMessage` in interface `EmailClientApplication`
  Throws:
    `EmailApplicationException` - upon error.
  See Also:
    `getEmailMessage()`, `#hasMessages`

### hasMessage

    public boolean hasMessage()
                       throws EmailApplicationException

  Determines whether there are any message(s) to be received.

  Specified by:
    `hasMessage` in interface `EmailClientApplication`
  Parameters:
    `configuration` - The EmailConfiguration instance containing connection specific information.
  Returns:
    If there are messages to be read then true will be returned; otherwise, false will be returned.
  Throws:
    `EmailApplicationException` - upon error.
  See Also:
    `receiveMessage()`

### reset

    public void reset()
               throws EmailApplicationException

  Initializes the email configuration to the default configuration and initializes the email message to an empty message.

  Specified by:
    `reset` in interface `EmailClientApplication`
  Throws:
    `EmailApplicationException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD